Package org.pgpainless.util.selection.keyring.impl

# Class ExactUserId

java.lang.Object
org.pgpainless.util.selection.keyring.impl.ExactUserId

public final class ExactUserId extends Object
Implementations of `KeyRingSelectionStrategy` which select key rings based on the exact user-id.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ExactUserId.PubRingSelectionStrategy`
`PublicKeyRingSelectionStrategy` which accepts `PGPPublicKeyRings` if those have a user-id which exactly matches the given
`static class`
`ExactUserId.SecRingSelectionStrategy`
`SecretKeyRingSelectionStrategy` which accepts `PGPSecretKeyRings` if those have a user-id which exactly matches the given

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`